<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><meta charset="utf-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><title>Period streamgraph — ggplot_streamgraph • rdb</title><script src="../lightswitch.js"></script><script src="../deps/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><link href="../deps/bootstrap-5.3.1/bootstrap.min.css" rel="stylesheet"><script src="../deps/bootstrap-5.3.1/bootstrap.bundle.min.js"></script><link href="../deps/font-awesome-6.5.2/css/all.min.css" rel="stylesheet"><link href="../deps/font-awesome-6.5.2/css/v4-shims.min.css" rel="stylesheet"><script src="../deps/headroom-0.11.0/headroom.min.js"></script><script src="../deps/headroom-0.11.0/jQuery.headroom.min.js"></script><script src="../deps/bootstrap-toc-1.0.1/bootstrap-toc.min.js"></script><script src="../deps/clipboard.js-2.0.11/clipboard.min.js"></script><script src="../deps/search-1.0.0/autocomplete.jquery.min.js"></script><script src="../deps/search-1.0.0/fuse.min.js"></script><script src="../deps/search-1.0.0/mark.min.js"></script><!-- pkgdown --><script src="../pkgdown.js"></script><meta property="og:title" content="Period streamgraph — ggplot_streamgraph"><meta name="description" content="Creates a ggplot2 streamgraph based on ggstream::geom_stream() using the specified period as time
resolution."><meta property="og:description" content="Creates a ggplot2 streamgraph based on ggstream::geom_stream() using the specified period as time
resolution."><meta name="twitter:card" content="summary"><meta name="twitter:creator" content="@2BSalim"><meta name="twitter:site" content="@2BSalim"><meta name="robots" content="noindex"><script src="https://rpkg.dev/counter-dev.min.js" data-id="4c4963fe-9fcf-4d81-95bb-2135e114b85b" data-utcoffset="1"></script></head><body>
    <a href="#main" class="visually-hidden-focusable">Skip to contents</a>


    <nav class="navbar navbar-expand-lg fixed-top " aria-label="Site navigation"><div class="container">

    <a class="navbar-brand me-2" href="../index.html">rdb</a>

    <small class="nav-text text-danger me-auto" data-bs-toggle="tooltip" data-bs-placement="bottom" title="In-development version">0.0.9046</small>


    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div id="navbar" class="collapse navbar-collapse ms-3">
      <ul class="navbar-nav me-auto"><li class="nav-item"><a class="nav-link" href="../articles/rdb.html">Get started</a></li>
<li class="active nav-item"><a class="nav-link" href="../reference/index.html">Reference</a></li>
<li class="nav-item"><a class="nav-link" href="../articles/codebook.html">RDB codebook</a></li>
      </ul><ul class="navbar-nav"><li class="nav-item"><form class="form-inline" role="search">
 <input class="form-control" type="search" name="search-input" id="search-input" autocomplete="off" aria-label="Search site" placeholder="Search for" data-search-index="../search.json"></form></li>
<li class="nav-item"><a class="external-link nav-link" href="https://gitlab.com/zdaarau/rpkgs/rdb/" aria-label="GitLab"><span class="fa fab fa-gitlab fa-lg"></span></a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-lightswitch" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true" aria-label="Light switch"><span class="fa fa-sun"></span></button>
  <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="dropdown-lightswitch"><li><button class="dropdown-item" data-bs-theme-value="light"><span class="fa fa-sun"></span> Light</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="dark"><span class="fa fa-moon"></span> Dark</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="auto"><span class="fa fa-adjust"></span> Auto</button></li>
  </ul></li>
      </ul></div>


  </div>
</nav><div class="container template-reference-topic">
<div class="row">
  <main id="main" class="col-md-9"><div class="page-header">

      <h1>Period streamgraph</h1>
      <small class="dont-index">Source: <a href="https://gitlab.com/zdaarau/rpkgs/rdb/blob/HEAD/R/rdb.gen.R" class="external-link"><code>R/rdb.gen.R</code></a></small>
      <div class="d-none name"><code>ggplot_streamgraph.Rd</code></div>
    </div>

    <div class="ref-description section level2">
    <p>Creates a ggplot2 <a href="https://en.wikipedia.org/wiki/Streamgraph" class="external-link">streamgraph</a> based on <code><a href="https://rdrr.io/pkg/ggstream/man/geom_stream.html" class="external-link">ggstream::geom_stream()</a></code> using the specified <code>period</code> as time
resolution.</p>
    </div>

    <div class="section level2">
    <h2 id="ref-usage">Usage<a class="anchor" aria-label="anchor" href="#ref-usage"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span><span class="fu">ggplot_streamgraph</span><span class="op">(</span></span>
<span>  <span class="va">data</span>,</span>
<span>  <span class="va">by</span>,</span>
<span>  period <span class="op">=</span> <span class="fu"><a href="https://rdrr.io/r/base/c.html" class="external-link">c</a></span><span class="op">(</span><span class="st">"week"</span>, <span class="st">"month"</span>, <span class="st">"quarter"</span>, <span class="st">"year"</span>, <span class="st">"decade"</span>, <span class="st">"century"</span><span class="op">)</span>,</span>
<span>  stacking <span class="op">=</span> <span class="fu"><a href="https://rdrr.io/r/base/c.html" class="external-link">c</a></span><span class="op">(</span><span class="st">"mirror"</span>, <span class="st">"ridge"</span>, <span class="st">"proportional"</span><span class="op">)</span>,</span>
<span>  bandwidth <span class="op">=</span> <span class="fl">0.75</span>,</span>
<span>  y_lim <span class="op">=</span> <span class="cn">NULL</span>,</span>
<span>  color_palette <span class="op">=</span> <span class="fu">viridisLite</span><span class="fu">::</span><span class="va"><a href="https://sjmgarnier.github.io/viridisLite/reference/viridis.html" class="external-link">turbo</a></span>,</span>
<span>  prune_legend <span class="op">=</span> <span class="cn">TRUE</span></span>
<span><span class="op">)</span></span></code></pre></div>
    </div>

    <div class="section level2">
    <h2 id="arguments">Arguments<a class="anchor" aria-label="anchor" href="#arguments"></a></h2>


<dl><dt id="arg-data">data<a class="anchor" aria-label="anchor" href="#arg-data"></a></dt>
<dd><p>RDB referendum data as returned by <code><a href="rfrnds.html">rfrnds()</a></code>. A data frame that at minimum contains the column specified in <code>period</code> or the column <code>date</code> (to
compute the <a href="add_period.html">period column</a>), plus the one(s) specified via <code>by</code> (if any).</p></dd>


<dt id="arg-by">by<a class="anchor" aria-label="anchor" href="#arg-by"></a></dt>
<dd><p><code>data</code> column to group by before counting number of referendums.</p></dd>


<dt id="arg-period">period<a class="anchor" aria-label="anchor" href="#arg-period"></a></dt>
<dd><p>Type of period to count referendums by. One of
<code>"week"</code>, <code>"month"</code>, <code>"quarter"</code>, <code>"year"</code>, <code>"decade"</code> or <code>"century"</code>.</p></dd>


<dt id="arg-stacking">stacking<a class="anchor" aria-label="anchor" href="#arg-stacking"></a></dt>
<dd><p>Stacking type. One of</p><ul><li><p><code>"mirror"</code> to stack absolute values symmetrically around the zero line on the x-axis.</p></li>
<li><p><code>"ridge"</code> to stack absolute values from the zero line on the x-axis upwards.</p></li>
<li><p><code>"proportional"</code> to stack relative values that add up to 100 %.</p></li>
</ul></dd>


<dt id="arg-bandwidth">bandwidth<a class="anchor" aria-label="anchor" href="#arg-bandwidth"></a></dt>
<dd><p>Kernel density estimation bandwidth. A numeric scalar.</p></dd>


<dt id="arg-y-lim">y_lim<a class="anchor" aria-label="anchor" href="#arg-y-lim"></a></dt>
<dd><p>Optional Y axis range limit. Only relevant if <code>stacking</code> is one of <code>"mirror"</code> or <code>"ridge"</code>. The limit applies to the upper side if
<code>stacking = "ridge"</code> and to both sides if <code>stacking = "mirror"</code>. A numeric scalar equal or greater than zero.</p></dd>


<dt id="arg-color-palette">color_palette<a class="anchor" aria-label="anchor" href="#arg-color-palette"></a></dt>
<dd><p>Color palette function that when called with a single integer argument returns that many color codes.</p></dd>


<dt id="arg-prune-legend">prune_legend<a class="anchor" aria-label="anchor" href="#arg-prune-legend"></a></dt>
<dd><p>Whether or not to drop <code>by</code> factor levels which don't occur in <code>data</code> from the legend. Only has an effect if <code>by</code> is of type factor.</p></dd>

</dl></div>
    <div class="section level2">
    <h2 id="value">Value<a class="anchor" aria-label="anchor" href="#value"></a></h2>
    <p>A <a href="https://ggplot2.tidyverse.org/reference/ggplot.html" class="external-link">ggplot2</a> object.</p>
    </div>
    <div class="section level2">
    <h2 id="see-also">See also<a class="anchor" aria-label="anchor" href="#see-also"></a></h2>
    <div class="dont-index"><p>Other visualization functions:
<code><a href="plot_rfrnd_share_per_period.html">plot_rfrnd_share_per_period</a>()</code>,
<code><a href="plot_topic_segmentation.html">plot_topic_segmentation</a>()</code>,
<code><a href="plot_topic_share_per_period.html">plot_topic_share_per_period</a>()</code></p></div>
    </div>

    <div class="section level2">
    <h2 id="ref-examples">Examples<a class="anchor" aria-label="anchor" href="#ref-examples"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span class="r-in"><span><span class="va">data_rdb</span> <span class="op">&lt;-</span> <span class="fu">rdb</span><span class="fu">::</span><span class="fu"><a href="rfrnds.html">rfrnds</a></span><span class="op">(</span>quiet <span class="op">=</span> <span class="cn">TRUE</span><span class="op">)</span></span></span>
<span class="r-in"><span></span></span>
<span class="r-in"><span><span class="fu">rdb</span><span class="fu">::</span><span class="fu">ggplot_streamgraph</span><span class="op">(</span>data <span class="op">=</span> <span class="va">data_rdb</span>,</span></span>
<span class="r-in"><span>                        by <span class="op">=</span> <span class="va">topics_tier_1</span>,</span></span>
<span class="r-in"><span>                        period <span class="op">=</span> <span class="st">"year"</span><span class="op">)</span></span></span>
<span class="r-plt img"><img src="ggplot_streamgraph-1.png" alt="" width="700" height="433"></span>
<span class="r-in"><span></span></span>
<span class="r-in"><span><span class="co"># you can specify a different color palette</span></span></span>
<span class="r-in"><span><span class="fu">rdb</span><span class="fu">::</span><span class="fu">ggplot_streamgraph</span><span class="op">(</span>data <span class="op">=</span> <span class="va">data_rdb</span>,</span></span>
<span class="r-in"><span>                        by <span class="op">=</span> <span class="va">topics_tier_1</span>,</span></span>
<span class="r-in"><span>                        period <span class="op">=</span> <span class="st">"year"</span>,</span></span>
<span class="r-in"><span>                        color_palette <span class="op">=</span> <span class="fu">viridisLite</span><span class="fu">::</span><span class="va"><a href="https://sjmgarnier.github.io/viridisLite/reference/viridis.html" class="external-link">viridis</a></span><span class="op">)</span></span></span>
<span class="r-plt img"><img src="ggplot_streamgraph-2.png" alt="" width="700" height="433"></span>
<span class="r-in"><span></span></span>
<span class="r-in"><span><span class="co"># by default, only factor levels which occur in data are included in the legend</span></span></span>
<span class="r-in"><span><span class="va">data_rdb</span> <span class="op">|&gt;</span></span></span>
<span class="r-in"><span>  <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/filter.html" class="external-link">filter</a></span><span class="op">(</span><span class="va">country_code</span> <span class="op">==</span> <span class="st">"AT"</span><span class="op">)</span> <span class="op">|&gt;</span></span></span>
<span class="r-in"><span>  <span class="fu">rdb</span><span class="fu">::</span><span class="fu">ggplot_streamgraph</span><span class="op">(</span>by <span class="op">=</span> <span class="va">topics_tier_1</span>,</span></span>
<span class="r-in"><span>                          period <span class="op">=</span> <span class="st">"decade"</span><span class="op">)</span></span></span>
<span class="r-plt img"><img src="ggplot_streamgraph-3.png" alt="" width="700" height="433"></span>
<span class="r-in"><span></span></span>
<span class="r-in"><span><span class="co"># but you can include *all* factor levels in the legend if you want to</span></span></span>
<span class="r-in"><span><span class="va">data_rdb</span> <span class="op">|&gt;</span></span></span>
<span class="r-in"><span>  <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/filter.html" class="external-link">filter</a></span><span class="op">(</span><span class="va">country_code</span> <span class="op">==</span> <span class="st">"AT"</span><span class="op">)</span> <span class="op">|&gt;</span></span></span>
<span class="r-in"><span>  <span class="fu">rdb</span><span class="fu">::</span><span class="fu">ggplot_streamgraph</span><span class="op">(</span>by <span class="op">=</span> <span class="va">topics_tier_1</span>,</span></span>
<span class="r-in"><span>                          period <span class="op">=</span> <span class="st">"decade"</span>,</span></span>
<span class="r-in"><span>                          prune_legend <span class="op">=</span> <span class="cn">FALSE</span><span class="op">)</span></span></span>
<span class="r-plt img"><img src="ggplot_streamgraph-4.png" alt="" width="700" height="433"></span>
</code></pre></div>
    </div>
  </main><aside class="col-md-3"><nav id="toc" aria-label="Table of contents"><h2>On this page</h2>
    </nav></aside></div>


    <footer><div class="pkgdown-footer-left">
  <p>Developed by Salim Brüggemann, Uwe Serdült.</p>
</div>

<div class="pkgdown-footer-right">
  <p>Site built with <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a> 2.1.1.9000.</p>
</div>

    </footer></div>





  </body></html>

